Subject: bug#78890: 31.0.50; Messy vc-annotate buffer names

From: Sean Whitton <[email-masked]>
Date: Wed, 25 Jun 2025 17:35:22 +0100

Hello,

On Wed 25 Jun 2025 at 08:57am -07, Jim Porter wrote:

> On 6/25/2025 8:47 AM, Stephen Berman via Bug reports for GNU Emacs, the Swiss
> army knife of text editors wrote:
>> Oops, I should've checked instead of assuming.
>> (https://www.imdb.com/title/tt0664250/quotes/?item=qt2409883)
>
> Well, when I looked at the code change, I'd have figured it would be in Emacs
> 30 too, since that line is the same in 30 and the master branch. The bug is
> new though, so something else changed, which worries me a little bit. It might
> be a good idea to figure out what cause this regression in case it causes
> other problems we're not aware of yet.

I was working on vc-setup-buffer recently, it is probably a change of
mine.  I think a git bisection is in order.

-- 
Sean Whitton